California (CA) EVR API - Sandbox

California (CA) EVR API

1.0.0OAS 3.0

Submits and processes title and registration transactions with CA Department of Motor Vehicles (DMV), returning transaction status and confirmation data.

API Base URL
  • Server 1:https://api-test.vitu.com/national-public-api/v2
Security
keycloak (oauth2)

JWT handling follows the best practices in RFC8725.

Registration

Registration operations

Creates a transaction in VITU system

Creates a transaction in VITU system

post
https://api-test.vitu.com/national-public-api/v2/transaction

Query Parameters

callbackUrlstring(uri)

the location where data will be sent. Must be network accessible by the source server

Match pattern:^https?://

<= 1048576 characters

Example:https://vitu.com/example

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example:EVR

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

CAEVRTransactionDTO

statestring

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWYOther

<= 1048576 characters

Example:CA

refNumberstring(uuid)

<= 1048576 characters

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6

applicationTypestring

Type of transaction

Allowed values:TitleAndRegistrationTitleOnlyTaxOnlyTempTag

<= 1048576 characters

Example:TitleAndRegistration

serviceTypestring

Allowed values:FormsAndFeesFullService

<= 1048576 characters

Example:FormsAndFees

loanNumberstring | null

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:LN-7788990

locationIdinteger | null(int64)

>= -9007199254740991<= 9007199254740991

Example:1

saveForLaterboolean

Default:false

Example:true

isPremiumServiceboolean

Example:true

stateTransactionIdstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

registrationobject
Show Child Parameters
sellerobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
lessorobject
Show Child Parameters
lessee1object
Show Child Parameters
lessee2object
Show Child Parameters
lienholder1object
Show Child Parameters
vehicleobject
Show Child Parameters

Response

application/json

OK

object

Accepted — processing asynchronously

Callbacks

post
{$request.query.callbackUrl}

Callback Response

application/json

Target server returns this code if it accepts the callback

object

Accepted — processing asynchronously

post/transaction

Body

{}
 
application/json
callback sample
Callback Body
Callback Response
application/json

Updates a transaction in VITU system

Updates a transaction in VITU system

put
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example:EVR

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

CAEVRTransactionDTO

statestring

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWYOther

<= 1048576 characters

Example:CA

refNumberstring(uuid)

<= 1048576 characters

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6

applicationTypestring

Type of transaction

Allowed values:TitleAndRegistrationTitleOnlyTaxOnlyTempTag

<= 1048576 characters

Example:TitleAndRegistration

serviceTypestring

Allowed values:FormsAndFeesFullService

<= 1048576 characters

Example:FormsAndFees

loanNumberstring | null

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:LN-7788990

locationIdinteger | null(int64)

>= -9007199254740991<= 9007199254740991

Example:1

saveForLaterboolean

Default:false

Example:true

isPremiumServiceboolean

Example:true

stateTransactionIdstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

registrationobject
Show Child Parameters
sellerobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
lessorobject
Show Child Parameters
lessee1object
Show Child Parameters
lessee2object
Show Child Parameters
lienholder1object
Show Child Parameters
vehicleobject
Show Child Parameters

Response

application/json

OK

object

Accepted — processing asynchronously

Callbacks

post
{$request.query.callbackUrl}

Callback Response

application/json

Target server returns this code if it accepts the callback

object

Accepted — processing asynchronously

put/transaction/{transactionId}

Body

{}
 
application/json
callback sample
Callback Body
Callback Response
application/json

Get list of documents produced by the transaction

Get list of documents produced by the transaction

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/forms

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example:EVR

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Response

application/json

OK

<= 100000 items

namestring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Sample Name

idinteger(int64)

>= -9007199254740991<= 9007199254740991

Example:1

descriptionstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Sample description

keystring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:example

serialNumberstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:SAMPLE-001

isRequiredboolean

Example:true

isSelectedboolean

Example:true

informationstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:example

signedboolean

Example:true

metaobject
* Additional properties are NOT allowed.
Show Child Parameters
get/transaction/{transactionId}/forms
 
application/json